<?php namespace RainLab\Blog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateRainlabBlogPosts5 extends Migration
{
    public function up()
    {
        Schema::table('rainlab_blog_posts', function($table)
        {
            $table->integer('en_id')->nullable()->change();
            $table->integer('ru_id')->nullable()->change();
            $table->integer('tm_id')->nullable()->change();
        });
    }
    
    public function down()
    {
        Schema::table('rainlab_blog_posts', function($table)
        {
            $table->integer('en_id')->nullable(false)->change();
            $table->integer('ru_id')->nullable(false)->change();
            $table->integer('tm_id')->nullable(false)->change();
        });
    }
}
